let data_log;
let hPunkte = []; // das Array der Helligkeitspunkte

function preload() {
  // einlesen der Werte in die Variable "data_log"
  // Relative Pfade beachten!
  data_log = loadTable("data_log.csv");
}

function setup() {
  const meinCanvas = createCanvas(950, 360);
  meinCanvas.parent("canvasContainer");

  background(240);

  // Roboto als lokaler Webfont eingebunden!
  textFont("roboto");
  textSize(16);

  noStroke();

  // wieviele Zeilen enthält die Datei "data_log.csv"
  let anzahl = data_log.getRowCount();

  // Überschrift mit Ausgabe der Anzahl der Datensätze
  fill(0);
  text(
    `Tabellenwerte als Graph: Die Tabelle enthält ${anzahl} Datensätze`,
    24,
    30
  );

  // ======== 1 =========
  // Text-Ausgabe des Wertes der Zelle (0,0)
  text(
    "1) Die Zelle an Stelle (0,0) hat folgenden Inhalt: " + data_log.get(0, 0),
    24,
    60
  );

  // ======== 2 =========
  // Text-Ausgabe des Wertes der Zelle (13,1)
  text(
    "2) Die Zelle an Stelle (13,1) hat folgenden Inhalt: " +
      data_log.get(13, 1),
    24,
    80
  );

  // ======== 3 =========
  // Text-Ausgabe des Wertes der Zelle (19,3)

  text(
    "3) Die Zelle an Stelle (19,3) hat folgenden Inhalt: " +
      data_log.get(19, 3),
    24,
    100
  );

  // ======== 4 =========
  text("4) Auflistung der ersten 15 Werte der 4. Spalte:", 550, 30);

  // liest die ersten 15 Helligkeitswerte aus;
  // diese befinden sich in jeder Zeile an der 4. Stelle
  for (let i = 0; i < 15; i++) {
    text(data_log.getNum(i, 3), 550, 60 + 20 * i);
  }
}
